Bug 824682 - Review Request: shrinkwrap-descriptors - ShrinkWrap subproject for creating Archive Descriptors
Review Request: shrinkwrap-descriptors - ShrinkWrap subproject for creating A...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 21:15 EDT by Lin Gao
Modified: 2012-06-07 19:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-07 19:12:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgoldman: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lin Gao 2012-05-23 21:15:30 EDT
Spec URL: http://fedorapkgs-gaolin.rhcloud.com/shrinkwrap-descriptors.spec
SRPM URL: http://fedorapkgs-gaolin.rhcloud.com/shrinkwrap-descriptors-2.0.0-0.1.fc16.src.rpm
Description: ShrinkWrap subproject for creating Archive Descriptors
Fedora Account System Username: lgao


It is my first package, thus needs sponsor.
Comment 1 Marek Goldmann 2012-05-25 05:27:16 EDT
I'll take a look at this.
Comment 2 Marek Goldmann 2012-05-25 06:37:58 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

SPECS/shrinkwrap-descriptors.spec: W: invalid-url Source0: shrinkwrap-descriptors-2.0.0-alpha-2.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.
shrinkwrap-descriptors.src: W: spelling-error Summary(en_US) subproject -> sub project, sub-project, projector
shrinkwrap-descriptors.src: W: spelling-error %description -l en_US subproject -> sub project, sub-project, projector
shrinkwrap-descriptors.src: W: invalid-url URL: http://www.jboss.org/shrinkwrap/ HTTP Error 403: Forbidden
shrinkwrap-descriptors.src: W: invalid-url Source0: shrinkwrap-descriptors-2.0.0-alpha-2.tar.xz
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
shrinkwrap-descriptors.noarch: W: spelling-error Summary(en_US) subproject -> sub project, sub-project, projector
shrinkwrap-descriptors.noarch: W: spelling-error %description -l en_US subproject -> sub project, sub-project, projector
shrinkwrap-descriptors.noarch: W: incoherent-version-in-changelog 2.0.0-1 ['2.0.0-0.1.fc17', '2.0.0-0.1']
shrinkwrap-descriptors.noarch: W: invalid-url URL: http://www.jboss.org/shrinkwrap/ HTTP Error 403: Forbidden
shrinkwrap-descriptors.noarch: W: no-documentation
shrinkwrap-descriptors.noarch: W: class-path-in-manifest /usr/share/java/shrinkwrap-descriptors/shrinkwrap-descriptors-metadata-parser.jar
shrinkwrap-descriptors-javadoc.noarch: W: invalid-url URL: http://www.jboss.org/shrinkwrap/ HTTP Error 403: Forbidden
2 packages and 0 specfiles checked; 0 errors, 7 warnings.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: ASL 2.0
[-]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[-]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 68b4e606ef6b503c095ca49dcaabd350
MD5SUM upstream package: 68b4e606ef6b503c095ca49dcaabd350
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4100345

=== Issues ===
1. The Release tag is wrong, it should be in this case:

Release:       0.1.alpha2%{?dist}

Read more here: http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Package_Versioning

2. Why does this package requires junit4 at runtime?

=== Final Notes ===
1. It would be super nice if we could automate the install of POMs/JARs and depmaps. Please try to iterate over the files, like this: http://pkgs.fedoraproject.org/gitweb/?p=infinispan.git;a=blob;f=infinispan.spec;h=95243ea3ea59ed8575be5ea63961282f33fcbbce;hb=HEAD#l89

2. Really small note: please try to not mix the install / cp scripts.
Comment 3 Lin Gao 2012-05-25 09:46:08 EDT
Fixed issues in:

Spec URL: http://fedorapkgs-gaolin.rhcloud.com/shrinkwrap-descriptors.spec
SRPM URL: http://fedorapkgs-gaolin.rhcloud.com/shrinkwrap-descriptors-2.0.0-0.1.alpha2.fc16.src.rpm

For issue 2, it requires junit4 at runtime because the module: shrinkwrap-descriptors-test-util depends on junit in provided scope. See: https://github.com/shrinkwrap/descriptors/blob/2.0.0-alpha-2/test-util/pom.xml
Comment 4 Marek Goldmann 2012-05-28 04:51:42 EDT
Looks good now for me, thank you and welcome to the packaging family!

http://koji.fedoraproject.org/koji/taskinfo?taskID=4109620

================
*** APPROVED ***
================
Comment 5 Lin Gao 2012-05-28 06:27:49 EDT
New Package SCM Request
=======================
Package Name: shrinkwrap-descriptors
Short Description: ShrinkWrap subproject for creating Archive Descriptors
Owners: lgao
Branches: f17
InitialCC: goldmann
Comment 6 Gwyn Ciesla 2012-05-29 08:43:26 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-05-30 04:53:19 EDT
shrinkwrap-descriptors-2.0.0-0.1.alpha2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/shrinkwrap-descriptors-2.0.0-0.1.alpha2.fc17
Comment 8 Fedora Update System 2012-05-30 20:59:03 EDT
shrinkwrap-descriptors-2.0.0-0.1.alpha2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Fedora Update System 2012-06-07 19:12:50 EDT
shrinkwrap-descriptors-2.0.0-0.1.alpha2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.